TREC 2001 VideoTrack: Known-Items Task Evaluation: Class KnownItem

Class | Tree | Deprecated | Index | Help
| Known-Items Task Evaluation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class KnownItem

    java.lang.Object
      |
      +--Item
            |
            +--KnownItem

public class KnownItem
extends Item

This class represents a known-item which is a known portion of a video. It inherits attributes and behaviour from Item abstract class.

Fields inherited from class Item
`matched, src, start, stop`

Constructor Summary
`KnownItem(java.lang.String start, java.lang.String stop, java.lang.String src)` Constructs a KnownItem object with the given parameters.

Method Summary
`KnownItem` | `intersection(Item t)` Returns a known-item representing the intersection with the given item.
`java.lang.String` | `toString()` Returns a Xml formatted string representation of this known-item.
`java.lang.String` | `toStringOut()` Returns a Xml formatted string representation of this item and its start and stop values, without a line separator.

Methods inherited from class Item
`getMilliStart, getMilliStop, getSrc, getStart, getStop, intersected, length, maxTime, maxTimeMilli, minTime, minTimeMilli, toMilliseconds`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### KnownItem

    public KnownItem(java.lang.String start,
                     java.lang.String stop,
                     java.lang.String src)
              throws java.lang.Exception

  Constructs a KnownItem object with the given parameters.
  Parameters:
    `start` - The start time of the item in a defined format ("*h*m*s*ms").
    `stop` - The stop time of the item in a defined format ("*h*m*s*ms").
    `src` - The source of the item or video that the item is part of.
  Throws:
    `TransitionDefinitionException` - Thrown if the pre frame is not strictly less than the post frame.

Method Detail

### intersection

    public KnownItem intersection(Item t)

  Returns a known-item representing the intersection with the given item.

### toString

    public java.lang.String toString()

  Returns a Xml formatted string representation of this known-item. For example: ""
  Overrides:
    `toString` in class `Item`

### toStringOut

    public java.lang.String toStringOut()

  Returns a Xml formatted string representation of this item and its start and stop values, without a line separator. For example: ""

Class | Tree | Deprecated | Index | Help
| Known-Items Task Evaluation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For information over@nist.gov or rtaban@nist.gov